<?php
/**
 * The template for displaying all pages.
 *
 Template name: Fullpage
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package fabthemes
 */

get_header(); ?>

<div class="pages-header">
	<div class="container"> <div class="row">

		<div class="col-md-6">
			<h2 class="page-title"> 
				<?php the_title(); ?>
			</h2>
		</div>

		<div class="col-md-6">
			<?php if ( function_exists('yoast_breadcrumb') ) {
				yoast_breadcrumb('<p id="breadcrumbs">','</p>');
			} ?>
		</div>

	</div></div>
</div>

<div class="container"> <div class="row"> 
	<div class="col-md-12"> 
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'page' ); ?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || '0' != get_comments_number() ) :
						comments_template();
					endif;
				?>

			<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->
	</div>

</div></div>
<?php get_footer(); ?>
