<?php
function theme_guide(){
add_theme_page( 'Theme guide','Theme documentation','edit_themes', 'theme-documentation', 'fabthemes_theme_guide');
}
add_action('admin_menu', 'theme_guide');

function fabthemes_theme_guide(){ ?>

		
<div id="welcome-panel" class="about-wrap">
<div class="container">

<div class="row">

	<div class="col3 col">
		<img src="<?php echo get_template_directory_uri() ?>/screenshot.png" />
	</div>
	<div class="col34 col">
		<h2>Welcome to <?php echo wp_get_theme(); ?> WordPress theme!</h2>
		<p> <?php echo wp_get_theme(); ?> is a free premium responsive WordPress theme from fabthemes.com. This theme is built 
			on <b>Bootstrap 3</b> framework. This is a job board wordpress theme. This lets you post job opportunities and receive applications from prospective employees. The theme comes with custom homepage, page templates and plugins required to run the job board. </p>
	</div>

</div>

<div class="row">

	<div class="col col1">
		<h3>Required Plugins</h3>
		<p> The theme requires few plugins to work the way it is originally intended to. 
			You will find a notification on the admin panel prompting you to install the required plugins. 
			Please install and activate the plugins.  
		</p>
		<ol>
			<li><b><a href="https://wordpress.org/plugins/wp-job-manager/"> WP Job Manager </a> </b>  - This plugin is required to run the Job board function.</li>
			<li> <b> <a href="https://wordpress.org/plugins/wordpress-seo/"> WordPress SEO by Yoast </a></b> - This plugin is required for better SEO and breadcrumb navigation.</li>
		</ol>
	</div>

</div>	

<div class="row">

	<div class="col col1">
		<h3>Theme setup</h3>

		<h4> 1. Installing theme</h4>

		<p>Download the theme zip file from Fabthemes.com. Open your WordPress admin panel and go to <b> Appearence > Themes</b> . Click <b> Add new </b> and then <b> Upload the theme </b> to your themes directory and activate it.  </p>

		<h4> 2. Install plugins</h4>

		<p> After theme activation, you will find a notification that prompts you to install and activate the 2 required plugins listed earlier. Please install and activate them.</p>

		<h4> 3. Wp Job Manager pages </h4>

		<p> The job manager plugin normally automatically creates few pages for Job board function. If it is not created already you can create them yourselves. These are just pages with Job manager specific shortcodes in them. </p>
		
		<p> <b>Job Page </b>- Create a new page with title Jobs and add the <span class="red">[jobs]</span> shortcode to the content area and publish it. Use the full width page template for sidebar free visual experince.</p>

		<p> <b>Job submit page</b> - Create a new page with Job Submit title and add the <span class="red"> [submit_job_form] </span> shortcode to it and publish the page. This will give you the Job submission form through which your visitors can post job openings.</p>

		<p> <b>Job Dashboard</b> - This is a page that lets the admin to manage the job entries via the front end. Just create a new page called Job dashboard and use the shortcode <span class="red">[job_dashboard]</span> in the content. </p>
		
		<h4> 4. Import sample data</h4>
		<p> Sample xml data is available for the theme. You can use it to test run the theme before you post your actual data. </p>

		<h4> 5. Saving theme options</h4>
		<p> The theme comes with an options page. You can save the options page with its default values to see how the content is laid out. Then you can customize the options as required for your site.</p>

	</div>

</div>

<div class="row">
	<div class="col col1">
		<h3> Wp Job Manager documentation</h3>
		<p> The theme uses WP Job manager WordPress plugin to setup and run the Job board. This is a very powerful and feature rich plugin. You can the detailed documentaion of how to use this plugin here - <a href="https://wpjobmanager.com/documentation/">https://wpjobmanager.com/documentation/ </a> </p>
	</div>
</div>

<div class="row">

	<div class="col col1"> 
		<h3>Theme Options </h3>
		<p> Theme comes with an options panel to customize its settings. </p>
	 </div>
	 <div class="col col1">
	 	<h4> 1. Hero section</h4>
	 	<p> This is the section below the header on the homepage. You have the option to set a hero title and text below it. </p>
	 	<p> Select the pages for Jobs page and Job Submission page.</p>
	 </div>
	 <div class="col col1">
	 	<h4> 2. Features section</h4>
	 	<p> This is a widgetized section on the homepage. You can put the Features Widget in the Homepage widget area. In the options panel you have the option to set a custom title and subtext. </p>
	 </div>

	 <div class="col col1">
	 	<h4> 3. Job listing section </h4>
	 	<p> There is a job listing section on the homepage . You can customize the title and subtext of this section.</p>
	 </div>

	 <div class="col col1">
	 	<h4> 4. Blog section </h4>
	 	<p> There is a blog section on the homepage, that lists the latest 4 blog entries. You can customize the title and subtext of this section.</p>
	 </div>

	 <div class="col col1">
	 	<h4> 5. Custom styling</h4>
	 	<p> Use this options to color customize your theme.</p>
	 </div>

	 <div class="col col1">
	 	<h4> 6. Banner settings </h4>
	 	<p> Use this options to customize the banner ads on the sidebar.</p>
	 </div>

</div>

<div class="row">
	<div class="col col1">
			<?php echo file_get_contents(dirname(__FILE__) . '/FT/license-html.php'); ?>
	</div>
</div>


</div>
</div>



<style media="screen" type="text/css">

	.container{	width: 960px;}
	.row { background: #fff;  margin-bottom: 20px; padding: 20px 0px;}
	.row:before, .row:after {  display: table;  content: " ";}
	.row:after {  clear: both;	}
	.row:before, .row:after {  display: table;  content: " ";}
	.row:after { clear: both; }
	.col{ padding:0px 20px 0px 20px;  position:relative; 	 }
	.col1{ width: 920px;}
	.col2{ width: 440px; float: left;}
	.col3{ width: 280px; float: left;}
	.col34{ width: 600px; float: left;}
	.col h2{ font-weight: 700; font-size: 30px;}
	.col h3{ font-weight: 300; font-size: 24px; margin:0px 0px 20px 0px; background: #333; color:#fff; padding: 10px; }
	.col h4{ font-weight: bold; font-size: 16px; margin:10px 0px;}
	.clear{clear: both;}
	.red{color: red;}
</style>	

<?php }
