<?php
/**
 * The template for displaying homepage.
   Template name: Home
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package fabthemes
 */

get_header(); ?>


<div class="hero-section">
	<div class="container"><div class="row">
		<div class="col-md-12">
		<div class="hero animated fadeInRight">
			<div class="hinfo">
				<?php $hero_title = ft_of_get_option('fabthemes_hero_title',''); ?>
				<?php $hero_text = ft_of_get_option('fabthemes_hero_text',''); ?>
				<?php $jobpage = ft_of_get_option('fabthemes_job_page',''); ?>
				<?php $submitpage = ft_of_get_option('fabthemes_submit_page',''); ?>

				<h2> <?php echo $hero_title ?> </h2>
				<span class="subtitle">  <?php echo $hero_text ?> </span>
				<div class="hero-buttons">
						<span class="jobs-list "> <a href="<?php echo get_permalink( $jobpage ); ?>"><?php _e( 'Show Jobs', 'fabthemes' );?></a></span>
						<span class="jobs-posting "> <a href="<?php echo get_permalink( $submitpage ); ?>"><?php _e( 'Submit Jobs', 'fabthemes' ); ?></a></span>
				</div>

			</div>
		</div>
		</div>
	</div></div>
</div>


<div class="home-section feature-section">
	<div class="container"> <div class="row">
		<div class="col-md-12">
			<div class="section-title">
				<?php $feature_title = ft_of_get_option('fabthemes_feature_title','');
					  $feature_subtitle = ft_of_get_option('fabthemes_feature_text','');
				 ?>
				<h2> <?php _e( ''.$feature_title.'' , 'fabthemes' ); ?> <span><?php _e( ''.$feature_subtitle.'', 'fabthemes' ); ?></span></h2>
			</div>
		</div>
		
		<div class="home-widget-box">
			<?php if ( ! is_active_sidebar( 'homewidget' ) ) : ?>

						<aside id="gander_widget-01" class="home-widget widget_gander_widget col-md-4">
							<i class="fa fa-briefcase"></i>
							<h1 class="home-widget-title">Default Feature</h1>
							<p> This is a default feature widget. To customize this, go to Admin panel> Appearence > Widgets > and drag and drop Gander feature widgets to the "Homepage" widget area. </p>
						</aside>

						<aside id="gander_widget-02" class="home-widget widget_gander_widget col-md-4">
							<i class="fa fa-graduation-cap"></i>
							<h1 class="home-widget-title">Another Feature</h1>
							<p> This is a default feature widget. To customize this, go to Admin panel> Appearence > Widgets > and drag and drop Gander feature widgets to the "Homepage" widget area. </p>
						</aside>

						<aside id="gander_widget-03" class="home-widget widget_gander_widget col-md-4">
							<i class="fa fa-paper-plane"></i>
							<h1 class="home-widget-title">One more feature</h1>
							<p> This is a default feature widget. To customize this, go to Admin panel> Appearence > Widgets > and drag and drop Gander feature widgets to the "Homepage" widget area. </p>
						</aside>

					
			<?php endif; ?>

			<?php dynamic_sidebar( 'homewidget' ); ?>
		</div>
		
	</div></div>
</div>


<div class="home-section jobs-section">

	<div class="container"> <div class="row">
		<div class="col-md-12">
			<div class="section-title">
				<?php $listing_title = ft_of_get_option('fabthemes_job_title','');
					  $listing_subtitle = ft_of_get_option('fabthemes_jobs_text','');
				 ?>
				<h2>  <?php _e( ''.$listing_title.'' , 'fabthemes' ); ?>  <span> <?php _e( ''.$listing_subtitle.'' , 'fabthemes' ); ?> </span></h2>
			</div>

			<div class="unitbox">
				<?php echo do_shortcode('[jobs per_page="10" show_filters="false"]'); ?>
			</div>
		</div>
	</div></div>
</div>


<div class="home-section stats-section">

	<div class="container"> <div class="row">

				<?php 
				if ( post_type_exists( 'job_listing' ) ) { 
					echo '<div class="col-md-3">';
					$jobcount = wp_count_posts('job_listing')->publish; 
					echo '<span class="stat-count" data-from="0" data-to="'.$jobcount.'"></span>';
					echo'<span>Jobs Posted</span></div>';

				} ?>

				<?php
				if ( post_type_exists( 'job_listing' ) ) {
					echo '<div class="col-md-3">';
					$fill_count = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->postmeta WHERE meta_key = '_filled' AND meta_value = '1';");
					echo '<span class="stat-count" data-from="0" data-to="'.$fill_count.'"></span>';
					echo'<span>Jobs Filled</span></div>';
				} ?>

				<?php $membercount = count_users();
					echo '<div class="col-md-3">';
					$countuser =  $membercount['total_users']; 
					echo '<span class="stat-count" data-from="0" data-to="'.$countuser.'"></span>';
					echo'<span>Members</span></div>';
				?>

				<?php 
					echo '<div class="col-md-3">';
					$postcount = wp_count_posts('post')->publish; 
					echo '<span class="stat-count" data-from="0" data-to="'.$postcount.'"></span>';
					echo'<span>Articles</span></div>';
				 ?>
			
	</div></div>
</div>

<div class="home-section posts-section">
	<div class="container"> <div class="row">

		<div class="col-md-12">
			<div class="section-title">
				<?php $blog_title = ft_of_get_option('fabthemes_blog_title','');
					  $blog_subtitle = ft_of_get_option('fabthemes_blog_text','');
				 ?>
				<h2>  <?php _e( ''.$blog_title.'' , 'fabthemes' ); ?> <span><?php _e( ''.$blog_subtitle.'' , 'fabthemes' ); ?></span></h2>
			</div>
		</div>

			
			<?php 
				 $count = 4;
				 $args = array(
			        'posts_per_page' => $count
			    );
				$loop = new WP_Query( $args );
				while ( $loop->have_posts() ) : $loop->the_post(); 
			?>

			<div class="col-md-3 col-sm-6">
				
				<div class="blog-box">
						<?php 
						$thumb = get_post_thumbnail_id();
						$img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
						$image = aq_resize( $img_url, 768, 768, true,true,true ); //resize & crop the image
						?>
						<?php if($image) : ?>
							<a href="<?php the_permalink(); ?>"><img class="blog-thumb" src="<?php echo $image ?>" alt="<?php the_title(); ?>" /></a>
						<?php endif; ?>

					<div class="home-blog clearfix">
						
						<h2><a href="<?php the_permalink(); ?>"> <?php the_title()?> </a></h2>
						<div class="home-blog-entry">
							<?php the_excerpt();?>
							<a class="readon" href="<?php the_permalink(); ?>"><?php _e( 'Read More', 'fabthemes' ); ?></a>
						</div>
					</div>
				</div>

			</div>

	 		<?php endwhile;
			   wp_reset_postdata();
			?>

	</div></div>
</div>

<?php get_footer(); ?>